

/* ***********************************************************************
                Naval Air Warfare Center / Aircraft Division              
                        Patuxent Naval Air Station                         
 ========================================================================

        File:           swegstring.h                                         
                                                                        
        Classification: UNCLASSIFIED                                   
                                                                        
        Description:    This file contains the macros, structures,
	                and classes parse a SWEG TDB file.
			
        Written by:	Alex Harper
*********************************************************************** */


#if !defined __SWEGSTRING_H
#define __SWEGSTRING_H

#define MAXSTRLEN	256

int get_sweg_token(FILE *infile, char *x);


extern char TOKEN_END[];
extern char TOKEN_CAPABILITY[];
extern char TOKEN_SNR_RCVR[];
extern char TOKEN_SNR_XMTR[];
extern char TOKEN_PLATFORM[];
extern char TOKEN_PLAYER_STRUCTURE[];
extern char TOKEN_LINKAGES[];
extern char TOKEN_COMM_RCVR[];
extern char TOKEN_COMM_XMTR[];
extern char TOKEN_ELEMENT[];
extern char TOKEN_THINKER[];
extern char TOKEN_MOVER[];
extern char TOKEN_DISRUPTOR[];
extern char TOKEN_WEAPON[];
extern char TOKEN_TDB[];
extern char TOKEN_END_TDB[];

extern char TOKEN_PHZP[];
extern char TOKEN_HZ[];
extern char TOKEN_PMHZP[];
extern char TOKEN_MHZ[];
extern char TOKEN_PGHZP[];
extern char TOKEN_GHZ[];

extern char TOKEN_PDEGP[];
extern char TOKEN_DEG[];
extern char TOKEN_PRADIANSP[];
extern char TOKEN_RADIANS[];

extern char TOKEN_PDBP[];
extern char TOKEN_DB[];
extern char TOKEN_PMP[];
extern char TOKEN_M[];
extern char TOKEN_PKMP[];
extern char TOKEN_KM[];
extern char TOKEN_PFTP[];
extern char TOKEN_FT[];
extern char TOKEN_PFEETP[];
extern char TOKEN_FEET[];
extern char TOKEN_PANGLESP[];
extern char TOKEN_ANGLES[];
extern char TOKEN_PMILESP[];
extern char TOKEN_MILES[];
extern char TOKEN_PNMP[];
extern char TOKEN_NM[];
extern char TOKEN_PM2P[];
extern char TOKEN_M2[];
extern char TOKEN_WATTS[];
extern char TOKEN_PWATTSP[];

extern char TOKEN_ANTENNA_PATTERN[];
extern char TOKEN_FREQ[];
extern char TOKEN_GAIN[];
extern char TOKEN_AZ[];
extern char TOKEN_EL[];
extern char TOKEN_DIMENSION[];
extern char TOKEN_SIGNATURE[];
extern char TOKEN_RCS[];
extern char TOKEN_SUSCEPTIBILITY[];
extern char TOKEN_ALT_XMIT[];
extern char TOKEN_ALT_RCVR[];

extern char TOKEN_ONE_M2_DETECT_RNG[];
// extern char TOKEN_MTI_ATTENUATION[];
// extern char TOKEN_RCVR_BANDWIDTH[];
// extern char TOKEN_TRANSMISSION_LOSS[];
extern char TOKEN_INTERNAL_LOSS[];
extern char TOKEN_PEAK_POWER_OUTPUT[];
extern char TOKEN_PULSE_REPETITION_FREQ[];
extern char TOKEN_PULSE_WIDTH[];
extern char TOKEN_DETECTION_SENSITIVITIES[];
extern char TOKEN_SENSING_THRESHOLD[];
extern char TOKEN_RECEIVER_NOISE[];
extern char TOKEN_INTERNAL_LOSSES[];
extern char TOKEN_POST_LOCKON_THRESHOLD[];

extern char TOKEN_REFLECTIVE_EM_SIG_TABLE[];

extern char TOKEN_SNR_RCVR_FREQS[];
extern char TOKEN_SEARCH[];
extern char TOKEN_TRACKING[];
extern char TOKEN_GUIDANCE[];
extern char TOKEN_ACQUISITION[];

extern char TOKEN_SNR_CHARACTERISTICS[];
extern char TOKEN_ACOUSTIC[];
extern char TOKEN_ELECTRO_MAGNETIC[];
extern char TOKEN_INFRA_RED[];
extern char TOKEN_RNG_ALT_CAPABILITY[];
extern char TOKEN_MIN_ALT[];

extern char TOKEN_SNR_ANGULAR_LIMITS[];
extern char TOKEN_AZ_LIMIT[];
extern char TOKEN_EL_LIMIT[];
extern char TOKEN_LOWER_EL_LIMIT[];
extern char TOKEN_UPPER_EL_LIMIT[];

extern char TOKEN_DUTY_CYCLE[];
extern char TOKEN_PULSE_COMPRESSION_RATIO[];
extern char TOKEN_OPERATING_LOSSES[];
extern char TOKEN_TRANSMISSION_LOSS[];

extern char TOKEN_EMITTIVE_EM_SIG_TABLE[];
extern char TOKEN_PRESENTED_AREA_FREQ[];
extern char TOKEN_PIXEL_FIELD_OF_VIEW[];
extern char TOKEN_NOISE_EQUIV_IRRADIANCE[];

extern char TOKEN_POL[];    
extern char TOKEN_HORIZ_POL[];    
extern char TOKEN_VERT_POL[];       
extern char TOKEN_LEFT_CIR_POL[];
extern char TOKEN_RIGHT_CIR_POL[];              
extern char TOKEN_DEFAULT[];

#endif
